## org.eclipse.emf.ecore.impl
Class EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable

    java.lang.Object
      org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
          org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleData
              org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable

All Implemented Interfaces:
  EStructuralFeature.Internal.SettingDelegate

Direct Known Subclasses:
  EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableDynamic, EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettableStatic

Enclosing class:
  EStructuralFeatureImpl

    public static class EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable

extends EStructuralFeatureImpl.InternalSettingDelegateSingleData

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.SettingDelegate
`EStructuralFeature.Internal.SettingDelegate.Factory`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleData
`defaultValue, intrinsicDefaultValue`

Fields inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
`feature, NIL`

Constructor Summary
`EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable(java.lang.Object defaultValue, java.lang.Object intrinsicDefaultValue, EStructuralFeature feature)`

Method Summary
`boolean` `dynamicIsSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index)` Returns whether the feature of the owner is considered to be set.
`void` `dynamicSet(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index, java.lang.Object newValue)` Sets the value of the given feature of the owner to the new value.
`void` `dynamicUnset(InternalEObject owner, EStructuralFeature.Internal.DynamicValueHolder settings, int index)` Unsets the value of the given feature of the owner.

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingleData
`dynamicGet, validate`

Methods inherited from class org.eclipse.emf.ecore.impl.EStructuralFeatureImpl.InternalSettingDelegateSingle
`dynamicInverseAdd, dynamicInverseRemove, dynamicSetting`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable

    public EStructuralFeatureImpl.InternalSettingDelegateSingleDataUnsettable(java.lang.Object defaultValue,
                                                                              java.lang.Object intrinsicDefaultValue,
                                                                              EStructuralFeature feature)

Method Detail

### dynamicSet

    public void dynamicSet(InternalEObject owner,
                           EStructuralFeature.Internal.DynamicValueHolder settings,
                           int index,
                           java.lang.Object newValue)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Sets the value of the given feature of the owner to the new value.

  Specified by:
    `dynamicSet` in interface `EStructuralFeature.Internal.SettingDelegate`
  Overrides:
    `dynamicSet` in class `EStructuralFeatureImpl.InternalSettingDelegateSingleData`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
    `newValue` - the new value for the feature.
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### dynamicUnset

    public void dynamicUnset(InternalEObject owner,
                             EStructuralFeature.Internal.DynamicValueHolder settings,
                             int index)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Unsets the value of the given feature of the owner.

  Specified by:
    `dynamicUnset` in interface `EStructuralFeature.Internal.SettingDelegate`
  Overrides:
    `dynamicUnset` in class `EStructuralFeatureImpl.InternalSettingDelegateSingleData`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### dynamicIsSet

    public boolean dynamicIsSet(InternalEObject owner,
                                EStructuralFeature.Internal.DynamicValueHolder settings,
                                int index)

  Description copied from interface: `EStructuralFeature.Internal.SettingDelegate`
  Returns whether the feature of the owner is considered to be set.

  Specified by:
    `dynamicIsSet` in interface `EStructuralFeature.Internal.SettingDelegate`
  Overrides:
    `dynamicIsSet` in class `EStructuralFeatureImpl.InternalSettingDelegateSingleData`
  Parameters:
    `owner` - the owner of the feature.
    `settings` - the owner's array of cached values.
    `index` - the feature's index in the owner's cached dynamic values.
  Returns:
    whether the feature of the owner is considered to be set.
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.